classification
Title: requests
Type: Stage: resolved
Components: Windows Versions: Python 3.9
process
Status: closed Resolution: not a bug
Dependencies: Superseder:
Assigned To: Nosy List: grishalukovnikov97, lisroach, paul.moore, steve.dower, tim.golden, zach.ware
Priority: normal Keywords:

Created on 2020-10-18 20:19 by grishalukovnikov97, last changed 2020-10-19 19:22 by lisroach. This issue is now closed.

Files
File name Uploaded Description Edit
kurs.py grishalukovnikov97, 2020-10-18 20:19
Messages (2)
msg378892 - (view) Author: Grisha Lukovnikov (grishalukovnikov97) Date: 2020-10-18 20:19
Traceback (most recent call last):
  File "C:\Users\dns\AppData\Local\Programs\Python\Python39\lib\site-packages\urllib3\connectionpool.py", line 670, in urlopen
    httplib_response = self._make_request(
  File "C:\Users\dns\AppData\Local\Programs\Python\Python39\lib\site-packages\urllib3\connectionpool.py", line 381, in _make_request
    self._validate_conn(conn)
  File "C:\Users\dns\AppData\Local\Programs\Python\Python39\lib\site-packages\urllib3\connectionpool.py", line 978, in _validate_conn
    conn.connect()
  File "C:\Users\dns\AppData\Local\Programs\Python\Python39\lib\site-packages\urllib3\connection.py", line 343, in connect
    self.ssl_context = create_urllib3_context(
  File "C:\Users\dns\AppData\Local\Programs\Python\Python39\lib\site-packages\urllib3\util\ssl_.py", line 301, in create_urllib3_context
    context.keylog_filename = os.environ.get("SSLKEYLOGFILE")
PermissionError: [Errno 13] Permission denied: 'C:\\Users\\dns\\Desktop'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Users\dns\AppData\Local\Programs\Python\Python39\lib\site-packages\requests\adapters.py", line 439, in send
    resp = conn.urlopen(
  File "C:\Users\dns\AppData\Local\Programs\Python\Python39\lib\site-packages\urllib3\connectionpool.py", line 726, in urlopen
    retries = retries.increment(
  File "C:\Users\dns\AppData\Local\Programs\Python\Python39\lib\site-packages\urllib3\util\retry.py", line 403, in increment
    raise six.reraise(type(error), error, _stacktrace)
  File "C:\Users\dns\AppData\Local\Programs\Python\Python39\lib\site-packages\urllib3\packages\six.py", line 734, in reraise
    raise value.with_traceback(tb)
  File "C:\Users\dns\AppData\Local\Programs\Python\Python39\lib\site-packages\urllib3\connectionpool.py", line 670, in urlopen
    httplib_response = self._make_request(
  File "C:\Users\dns\AppData\Local\Programs\Python\Python39\lib\site-packages\urllib3\connectionpool.py", line 381, in _make_request
    self._validate_conn(conn)
  File "C:\Users\dns\AppData\Local\Programs\Python\Python39\lib\site-packages\urllib3\connectionpool.py", line 978, in _validate_conn
    conn.connect()
  File "C:\Users\dns\AppData\Local\Programs\Python\Python39\lib\site-packages\urllib3\connection.py", line 343, in connect
    self.ssl_context = create_urllib3_context(
  File "C:\Users\dns\AppData\Local\Programs\Python\Python39\lib\site-packages\urllib3\util\ssl_.py", line 301, in create_urllib3_context
    context.keylog_filename = os.environ.get("SSLKEYLOGFILE")
urllib3.exceptions.ProtocolError: ('Connection aborted.', PermissionError(13, 'Permission denied'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Users\dns\Desktop\kurs.py", line 3, in <module>
    print(requests.get("https://yandex.ru", verify=False).content)
  File "C:\Users\dns\AppData\Local\Programs\Python\Python39\lib\site-packages\requests\api.py", line 76, in get
    return request('get', url, params=params, **kwargs)
  File "C:\Users\dns\AppData\Local\Programs\Python\Python39\lib\site-packages\requests\api.py", line 61, in request
    return session.request(method=method, url=url, **kwargs)
  File "C:\Users\dns\AppData\Local\Programs\Python\Python39\lib\site-packages\requests\sessions.py", line 530, in request
    resp = self.send(prep, **send_kwargs)
  File "C:\Users\dns\AppData\Local\Programs\Python\Python39\lib\site-packages\requests\sessions.py", line 643, in send
    r = adapter.send(request, **kwargs)
  File "C:\Users\dns\AppData\Local\Programs\Python\Python39\lib\site-packages\requests\adapters.py", line 498, in send
    raise ConnectionError(err, request=request)
requests.exceptions.ConnectionError: ('Connection aborted.', PermissionError(13, 'Permission denied'))
msg378994 - (view) Author: Lisa Roach (lisroach) * (Python committer) Date: 2020-10-19 19:22
Requests is a third-party library (https://pypi.org/project/requests/2.7.0/), it is not a part of CPython so this is not the correct forum to report bugs. They have their own issue tracker here: https://github.com/psf/requests/issues

I'd also suggest a permission error is not a bug in Requests, but perhaps a permission issue that is local to your machine. Perhaps searching around StackOverflow can offer you some guidance.
History
Date User Action Args
2020-10-19 19:22:51lisroachsetstatus: open -> closed

nosy: + lisroach
messages: + msg378994

resolution: not a bug
stage: resolved
2020-10-18 20:19:04grishalukovnikov97create